<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_01_blockoption() */
/* タブのスラグ haumenu_define_tab_slug_01_blockoption() */
/* $option_name 設定名 haumenu_define_option_name_01_blockoption() */
/* get_option GetOP01_blockoption() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_01_blockoption( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_blockoption';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_01_blockoption();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-resizing-latest-posts-block-image' => array(
			//'.latest-posts-block-image-height-wrapper', // 最近の投稿ブロックの画像の高さ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_01_blockoption', 20 );

/* 見出し */
/* 項目の追加とデータの更新 */
function haumenu_init_field_headline_tag_style(){
//項目の追加
	add_settings_field(
		'headline-tag-style', // 設定名
		__('Headline','hima-art-utility'), // 設定タイトル
		'haumenu_headline_tag_style', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_01_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_headline_tag_style' );

/* 入力フォーム */
function haumenu_headline_tag_style() {
	$set_name = haumenu_define_option_name_01_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'headline-tag-style'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter your Headline tag style code','hima-art-utility'); ?>
<span class="haup-admin-font-red"><?php esc_html_e('(No tags needed &lt;style&gt;&lt;/style&gt;)','hima-art-utility'); ?></span></p>
<p class="haup-admin-font-red"><?php esc_html_e('Add ".is-style-head-custom" class (e.g. h2.is-style-head-custom etc.)','hima-art-utility'); ?></p>
	<textarea class="ha-css-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="20" ><?php echo esc_attr( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(haup_icon_picker_output_style_help()); ?>
<?php
}